DNF5-CHECK-UPGRADE(8)

NUME
dnf5-check-upgrade - comanda «check-upgrade»

SINOPSIS

dnf5 check-upgrade [opțiuni] [<N_specificație-pachet>...]

DESCRIERE

Verifică non-interactiv actualizările disponibile ale pachetelor specificate. Dacă nu se furnizează <N_specificație-pachet>, se verifică actualizările pentru întregul sistem.

DNF5 va ieși cu codul 100 dacă sunt disponibile actualizări și le va lista; 0 dacă nu sunt disponibile actualizări.

Dacă terminalul este disponibil, lista pachetelor este colorată, pachetele disponibile pentru reinstalare sunt (în mod implicit) colorate cu verde îngroșat, iar pachetele disponibile pentru actualizare cu albastru îngroșat. Acest comportament poate fi ajustat în dnf5.conf(5) prin opțiunile color_list_available_upgrade și color_list_available_reinstall.

OPȚIUNI

    --changelogs
        Imprimă jurnalele de modificare a pachetelor.

    --advisories=NUME_AVIZ,...
        Include conținutul conținut în avize cu numele specificat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt ID-urile avizelor, de exemplu FEDORA-2201-123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz existent în listă; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --advisory-severities=GRAVITATE_AVIZ,...
        Include conținutul conținut în avize cu severitatea specificată.
        Aceasta este o opțiune de listă.
        Valorile acceptate sunt: critical, important, moderate, low (scăzută), none (niciuna).

    --bzs=ID_BUGZILLA,...
        Include conținutul conținut în avize care corectează un tichet cu ID-ul Bugzilla dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt ID-uri numerice, de exemplu 123123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --cves=ID_CVE,...
        Include conținutul conținut în avize care fixează un tichet cu ID-ul CVE (Common Vulnerabilities and Exposures) dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt șiruri de ID-uri în format CVE, de exemplu CVE-2201-0123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --security
        Include conținutul conținut în avizele de securitate.

    --bugfix
        Include conținutul conținut în avizele de remediere a erorilor.

    --enhancement
        Include conținutul conținut în avizele de îmbunătățire.

    --newpackage
        Include conținutul conținut în avizele de pachete noi.

    --minimal
        Raportează cele mai mici versiuni ale pachetelor care corectează avize de tip „bugfix” (corectare de erori), „enhancement” (îmbunătățire), „security” (securitate) sau „newpackage” (pachet nou). În cazul în care se utilizează orice opțiune de limitare a avertismentelor, se raportează cele mai mici versiuni ale pachetelor care soluționează avertismentele care corespund proprietăților avertismentelor selectate.

    --json
        Solicită formatul de ieșire JSON.

EXEMPLE

    dnf5 check-upgrade
        Afișează o listă cu pachetele care au actualizări disponibile.

    dnf5 check-upgrade --changelogs
        Afișează jurnalele de modificare pentru toate pachetele cu actualizări în așteptare.

IEȘIRE JSON

dnf5 check-upgrade --json

Comanda returnează un obiect JSON cu următoarea structură:

    •   cheile reprezintă o secțiune din ieșirea „drăguță” a CLI

    •   valorile reprezintă pachetele din secțiunea respectivă ca un șir de obiecte cu următoarea structură:

                •   name (șir): numele pachetului

                •   arch (șir): arhitectura pachetului

                •   evr (șir): versiunea de actualizare disponibilă

                •   repository (șir): ID-ul depozitului din care este disponibilă actualizarea

                •   obsoletes (listă): (numai pentru secțiunea „Pachete învechite”) lista pachetelor care învechesc acest pachet (au aceeași structură ca mai sus, omițând obsoletes)

CONSULTAȚI ȘI
        dnf5-specs(7), Specificația modelelor <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.